package edu.travel.tenant.web;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import edu.travel.resp.BaseResponse;
import edu.travel.resp.PageResponse;
import edu.travel.tenant.entity.EduTenant;
import edu.travel.tenant.service.ITenantService;
import edu.travel.web.BaseController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/tenant")
public class TenantController  extends BaseController {
    @Autowired
    private ITenantService tenantService;

    @GetMapping("/getTenant")
    public BaseResponse getTenant() {
        EduTenant principal = (EduTenant)SecurityContextHolder.getContext().getAuthentication().getPrincipal();

        EduTenant list = tenantService.getTenantByID(principal.getTenantPhone());
        return PageResponse.out(200,"success",list);
    }
}
